/* READ_KEYBOARD.C
 *
 * A module for reading in keyboard definitions into a useable structure
 * for the program.  See include/adt.h for the definition of the datatype
 * 
 * Written by David Allen s2mdalle@titan.vcu.edu
 * http://opop.nols.com/
 * This file is released under the terms of the GNU General Public License
 */

#define READ_KEYBOARD_C

#ifndef MASTER_H
#  include "master.h"
#endif /* MASTER_H */

#ifndef READ_KEYBOARD_H
#  include "include/read_keyboard.h"
#endif /* READ_KEYBOARD_H */

keyboard_definition read_keyboard_definition(char *filename)
{
     keyboard_definition fill_me;

     INITIALIZE_KEYBOARD_DEFINITION(fill_me);
     
     return(fill_me);
} /* End read_keyboard_definition */


