/* This is a header included through master.h after #include "config.h"
 * which is going to check up on stuff that the program needs to compile.
 * 
 * IF you KNOW you have ALL the header files, and this is messing up for 
 * some reason, go to the top of master.h and remove the line that says
 * #include "include/checkheaders.h" and recompile.  Maybe it will work
 * maybe it won't.  But you should have all the necessary stuff - GDK, GTK,
 * GLIB, X11, etc.
 *
 * -- David Allen
 */

#ifndef HAVE_FOPEN
#error "You don't have the fopen() call which I need.  Sorry."
#endif
#ifdef HAVE_SUPPORT_H
#   ifndef HAVE_STRSEP
#   error "I need strsep() in libsupport to compile properly"
#   endif /* HAVE_STRSEP */
#endif /* HAVE_SUPPORT_H */
