/* GTKeyboard
 * Written by David Allen
 * s2mdalle@titan.vcu.ed
 * http://opop.nols.com/
 *
 * This file, along with the rest of GTKeyboard, is licensed under the terms
 * of the GNU General Public License.  See COPYING in the root source 
 * directory, or http://www.gnu.org for more details.
 *
 * RANGES.h
 */

#define RANGES_H

#define HIDE_OUTPUT               10
#define HIDE_STATUS               11
#define SHOW_OUTPUT               12
#define SHOW_STATUS               13
#define HIDE_KEYBOARD             14
#define SHOW_KEYBOARD             15
#define HIDE_TOOLBAR              16
#define SHOW_TOOLBAR              17
#define HIDE_BOTTOM_ROW_BUTTONS   18
#define SHOW_BOTTOM_ROW_BUTTONS   19
#define HIDE_MENUS                20
#define SHOW_MENUS                21


#define CLEAR_STATUS              50
#define CLEAR_TEXT                51

#define INFO_CHANGELOG            99
#define INFO_ABOUT                100
#define INFO_LICENSE              101
#define INFO_MANUAL               102
#define INFO_DEFAULT              103 
