
#define REMOTE_CONTROL_H

#ifdef USE_REMOTE_CONTROL

#ifndef MASTER_H
#include "../master.h"
#endif /* MASTER_H */

#define BUMP_NW                 100
#define BUMP_N                  101
#define BUMP_NE                 102
#define BUMP_W                  103
#define BUMP_E                  104
#define BUMP_S                  105
#define BUMP_SE                 106
#define BUMP_SW                 107
#define BUMP_C                  108

#define DEFAULT_BUMP_AMOUNT      10

/* Prototypes */

GtkWidget *new_button_xpm                  (const char *xpm_name[]);
void gtkeyboard_remote_control             (GtkWidget *emitter, gpointer data);
void bump_window                           (GtkWidget *foo, gpointer data);
void window_set_pos                        (void);;
#endif /* USE_REMOTE_CONTROL */
