/* TRULY_MISC.H
 *
 * This file is for use with GTKeyboard, and is released under the terms of
 * the GNU General Public License
 *
 * Written by David Allen <s2mdalle@titan.vcu.edu>
 * http://opop.nols.com/
 *
 * Prototypes for truly_misc.c 
 */

#define TRULY_MISC_H

/* Truly_misc.c */
void flush_everything                        (void);
void unhide_widget                           (GtkWidget *emitter, gint input);
void hide_widget                             (GtkWidget *emitter, gint input);
GtkWidget *xpm_to_widget                     (GtkWidget *foo, 
					      gchar **xpm_data);
GtkWidget *widget_from_xpm_file              (const char *filename);
void splash                                  (void);
void not_done_yet                            (void);
gint final_check                             (void);
void ignore_window                           (void);
void grab_a_window                           (GtkWidget *w, gpointer data);
void send_redirect_a_keysym                  (KeySym input);
void switch_X_char                           (char letter, char *string);
void guess_at_keysym                         (char letter,char *string);
void HideAllButKeyboard                      (GtkWidget *emitter, gint input);
void ShowAll                                 (GtkWidget *emitter, gint input);
#ifndef USE_REMOTE_CONTROL
void gtkeyboard_positioning                  (GtkWidget *emitter, 
					      gpointer data);
#endif /* USE_REMOTE_CONTROL */
