#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gtk/gtk.h>

void silly_callback(GtkWidget *e, gpointer data)
{
     GtkWidget *window = (GtkWidget *)data;
     int x=0, y=0;

     gdk_window_get_position(window->window, &x, &y);
     printf("GOT %d %d\n",x,y);
     
     /* Just shift the window to the right by 10 pixels. */
     x += 11;
     y -= 0;

     printf("MOVING TO %d %d\n",x,y);
     gdk_window_move(window->window, x, y);
     
} /* End callback */

void die_now(GtkWidget *e, gpointer data)
{
     printf("Destroying...");    fflush(stdout);
     gtk_widget_destroy((GtkWidget *)data);
     printf("Exiting...");       fflush(stdout);
     gtk_main_quit();   
     printf("Quitting.\n");      fflush(stdout);
     exit(0);
} /* End die_now */

int main(int argc, char *argv[])
{
     GtkWidget *window, *button;

     gtk_init(&argc, &argv);

     window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
     button = gtk_button_new_with_label("Click me");

     gtk_window_set_policy(GTK_WINDOW(window), TRUE, TRUE, TRUE);

     gtk_container_add(GTK_CONTAINER(window), button);
     gtk_widget_realize(window);

     gtk_signal_connect(GTK_OBJECT(button), "clicked",
			GTK_SIGNAL_FUNC(silly_callback), window);
     gtk_signal_connect(GTK_OBJECT(window), "delete_event",
			GTK_SIGNAL_FUNC(die_now), window);
     gtk_signal_connect(GTK_OBJECT(window), "destroy",
			GTK_SIGNAL_FUNC(die_now), window);

     gtk_widget_show_all(window);

     gtk_main();
     exit(0);
} /* End main */

