#include "master.h"
#include "keyboards/qwerty_keysyms.h"

GtkWidget *bk(void)
{
     KeySym *symrow;
     KeySym syms[3];
     GtkWidget *pulloff = gtk_handle_box_new();
     GtkWidget *box = gtk_vbox_new(FALSE, 0);
     GtkWidget *button;
     GtkWidget *hbox;

     while((symrow = *qwerty_keyboard++))
     {
	  hbox = gtk_hbox_new(FALSE, 0);
	  
	  while(*symrow && *symrow != NoSymbol)
	  {
	       syms[0] = *symrow++;
	       syms[1] = *symrow++;
	       syms[2] = *symrow++;
	       
	       if(!syms[0] || !syms[1] || !syms[2])
	       {
		    fprintf(stderr,"Unexpected Error.\n"); fflush(stderr);
	       }
	       
	       button = gtk_button_new_with_label(XKeysymToString(syms[0]));
	       gtk_box_pack_start(GTK_BOX(hbox), button, FALSE, FALSE, 0);
	  } /* End while */
	  gtk_box_pack_start(GTK_BOX(box), hbox, FALSE, FALSE, 0);
     } /* End while */

     gtk_container_add(GTK_CONTAINER(pulloff), box);
     return(pulloff);
} /* End bk() */

void proto_popup(GtkWidget *emitter, gpointer data)
{
     GtkWidget *window = gtk_dialog_new();
     GtkWidget *ok = gtk_button_new_with_label("Ok");
     
     gtk_box_pack_start(GTK_BOX(GTK_DIALOG(window)->vbox), 
			bk(), FALSE, FALSE, 0);

     gtk_signal_connect(GTK_OBJECT(ok), "clicked", GTK_SIGNAL_FUNC(smack),
			window);
     gtk_box_pack_start(GTK_BOX(GTK_DIALOG(window)->action_area), ok,
			FALSE, FALSE, 0);
     gtk_widget_show_all(window);
} /* End proto_popup() */
