/* FILE_UTILS.H
 * Written by David Allen <s2mdalle@titan.vcu.edu>
 * Released under the terms of the GNU General Public License
 */

#define FILE_UTILS_H

#define STAT_AND_RETURN_IF_BAD(fname, someint, statstruct) \
                                   if(!fname)return(0);\
                                   someint = stat(fname, &statstruct);\
                                   if(someint<0) return(0);

/* Prototypes */
GList *get_files                      (char *directory, char *substr);
int is_fifo                           (const char *filename);
int is_link                           (const char *filename);
int is_executable                     (const char *filename);
int file_exists                       (const char *filename);
int is_regular_file                   (const char *filename);
