/* USER_SHORTCUTS.H
 *
 * For use with GTKeyboard
 * written by David Allen
 * s2mdalle@titan.vcu.edu
 * http://opop.nols.com/
 *
 * This file, along with the rest of GTKeyboard, is licensed under the terms
 * of the GNU General Public License.  Please see COPYING for more details.
 *
 */

/* The max number of user defined shortcuts */
#define SHORTCUTS                     6
#define SHORTCUT_MAX_LENGTH           1024     /* 1 KB per shortcut max */

void define_shortcuts                 (GtkWidget *emitter, gpointer data);
void do_shortcut                      (GtkWidget *emitter, gpointer data);
